import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Scanner;

/**
   This program applies line numbers to a file.
*/
public class LineNumberer
{
   public static void main(String[] args) throws ReallyDumbException //FileNotFoundException
   {
      // Prompt for the input and output file names

      Scanner console = new Scanner(System.in);

      System.out.print("Output file: ");
      String outputFileName = console.next();

//      boolean GoodFileProvided = false;
//      while (!GoodFileProvided) {
	      System.out.print("Input file: ");
	      String inputFileName = console.next();
	      File inputFile = new File(inputFileName);
	      Scanner input = null;
	      String line = "";
	      try {
	    	  input = new Scanner(inputFile);

		      int lineNumber = 1;
		      while (input.hasNext())
		      {
		         line += "/* " + lineNumber + " : " + input.next() + "\n";
		         lineNumber++;
		         if (lineNumber == 2) throw new ReallyDumbException("OMG, Linenumber is 2");
		      }
		      System.out.println("hello");
		      input.close();  
//			GoodFileProvided = true;
	      } catch (FileNotFoundException exception) {
	    	  System.out.println(" File: " + inputFileName + " not found.");
//	    	  System.out.println("Try again!");
	      }	catch (ReallyDumbException exception) {
	    	  System.out.println(exception + "Just kidding.");
	    	  input.close();
	      }
  

	try {
	      PrintWriter output;
		  output = new PrintWriter(outputFileName);
	      output.println(line);
	      output.close();
	} catch (FileNotFoundException exception) {
		System.out.println("File: " + outputFileName + " not found.");
	} 

      System.out.println("done");
   }
}
